Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/History	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/History	(revision 1337)
@@ -8,12 +8,16 @@
 Summarize all code modifications & keep track of all tags in this file.
 
-****************************************************************************
-*** Geant4 developers can not make changes in this directory or make the ***
-*** History records without permision of M.Kosov: Mikhail.Kossov@cern.ch ***
-****************************************************************************
 
      -----------------------------------------------------------------
      * Please list in reverse chronological order (last date on top) *
      -----------------------------------------------------------------
+
+19-Jun-2010 M.Kosov                             (hadr-chips-V09-03-06)
+-----------------------------------------------------------------------
+Mutual CHIPS tag for the G4-9-4-beta debugging
+
+14-Jun-2010 M.Kosov                             (hadr-chips-cs-V09-03-06)
+------------------------------------------------------------------------
+Bug fix for GetExchangeT in G4QKaonMinusElasticCrossSection (for K0).
 
 8-Jun-2010 M.Kosov                             (hadr-chips-cs-V09-03-05)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuANuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuANuNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuANuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuANuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuENuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuENuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuMuNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuMuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonPlusNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QDiffractionRatio.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QDiffractionRatio.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QDiffractionRatio.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QElectronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QElectronNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QElectronNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QIonIonCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QIonIonCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QIonIonCrossSection.hh	(revision 1337)
@@ -28,5 +28,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonZeroNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonZeroNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonZeroNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QMuonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QMuonNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QMuonNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QMuonNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronCaptureRatio.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronCaptureRatio.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronCaptureRatio.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -33,6 +33,5 @@
 //
 // **********************************************************************
-// ****** This HEADER is property of the CHIPS model (M. Kosov) *********
-// ******************** DO NOT MAKE ANY CHANGE! (M.K.) ******************
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 //=======================================================================
 // Short description: (n,gamma) capture is a part of the incoherent
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -33,6 +33,5 @@
 //
 // **********************************************************************
-// ****** This HEADER is property of the CHIPS model (M. Kosov) *********
-// ******************** DO NOT MAKE ANY CHANGE! (M.K.) ******************
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 //=========================================================================
 // Short description: CHIPS cross-sections for neutron-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuENuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuENuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuENuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuMuNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuMuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuMuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuNuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuNuNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuNuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuNuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPhotonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPhotonNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPhotonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionPlusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionPlusElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionPlusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionPlusNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QProtonElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QProtonElasticCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QProtonElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QProtonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QProtonNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QProtonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QTauNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QTauNuclearCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QTauNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QTauNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QuasiFreeRatios.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QuasiFreeRatios.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QuasiFreeRatios.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4VQCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4VQCrossSection.hh	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4VQCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VQCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuANuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuANuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuANuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuANuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QAntiBaryonElasticCrossSection.cc,v 1.2 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for AntiBaryon(minus&zero)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for AntiBaryon(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDiffractionRatio.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QElectronNuclearCrossSection.cc,v 1.2 2010/06/02 09:08:25 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHyperonElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for Hyperon(minus&neutral)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHyperonPlusElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for Hyperon(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 19-Aug-07
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sectons for Ion-Ion interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusElasticCrossSection.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QKaonMinusElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QKaonMinusElasticCrossSection.cc,v 1.2 2010/06/14 15:55:18 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -736,4 +736,5 @@
   G4cout<<"G4QKaMiElCS::GetExchT:F="<<onlyCS<<",Z="<<tgZ<<",N="<<tgN<<",PDG="<<PDG<<G4endl;
 #endif
+  if(PDG==310 || PDG==130) PDG=-321;
   if(PDG!=-321)G4cout<<"*Warning*G4QKaonMinusElasticCrossSection::GetET:PDG="<<PDG<<G4endl;
   if(onlyCS) G4cout<<"*Warning*G4QKaonMinusElasticCrossSection::GetExT: onlyCS=1"<<G4endl;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for kaon(minus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QKaonPlusElasticCrossSection.cc,v 1.1 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for kaon(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for K0-nuclear interactions [K0=(K+ + K-)/2]
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QMuonNuclearCrossSection.cc,v 1.2 2010/06/02 09:08:25 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNeutronCaptureRatio.cc,v 1.4 2010/04/19 12:40:56 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNeutronElasticCrossSection.cc,v 1.4 2010/04/19 12:40:56 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-May-09
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ***************************************************************************************
-// ***** This CLASS is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch *********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ***************************************************************************************
 // Short description: CHIPS cross-sections for neutron-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuENuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuMuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuNuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -111,4 +111,5 @@
     return 0.;                         // projectile PDG=0 is a mistake (?!) @@
   }
+  if(pPDG==22 && tgZ==1 && !tgN && pMom<150.*MeV) return 0.; // Examle of pre-threshold (A)
   G4bool in=false;                     // By default the isotope must be found in the AMDB
   if(tgN!=lastN || tgZ!=lastZ || pPDG!=lastPDG)// The nucleus was not the last used isotope
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPionMinusElasticCrossSection.cc,v 1.3 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for pi(minus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusElasticCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPionPlusElasticCrossSection.cc,v 1.3 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for pi(plus)-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonElasticCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonElasticCrossSection.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QProtonElasticCrossSection.cc,v 1.3 2010/02/16 07:53:05 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QProtonElasticCrossSection.cc,v 1.4 2010/06/25 09:45:53 gunter Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -1069,5 +1069,5 @@
     //         p1               p2              p3            p6
     return (lastPAR[0]*dl*dl+lastPAR[1])/(1.+lastPAR[2]/p+lastPAR[5]/p6)+
-     lastPAR[3]/(p3+lastPAR[4]/p3)+lastPAR[7]/(p4+pow((lastPAR[8]/p),lastPAR[6]));
+     lastPAR[3]/(p3+lastPAR[4]/p3)+lastPAR[7]/(p4+std::pow((lastPAR[8]/p),lastPAR[6]));
     //   p4            p5               p8                 p9             p7
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -34,6 +34,5 @@
 // --------------------------------------------------------------------------------
 // ****************************************************************************************
-// ***** This HEADER is a property of the CHIPS hadronic package in Geant4 (M. Kosov) *****
-// *********** DO NOT MAKE ANY CHANGE without approval of Mikhail.Kossov@cern.ch **********
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 // ****************************************************************************************
 // Short description: CHIPS cross-sections for proton-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QTauNuclearCrossSection.cc,v 1.2 2010/06/02 09:08:25 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasiFreeRatios.cc,v 1.3 2010/01/22 17:02:48 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc	(revision 1316)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VQCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
